Package com.destroystokyo.paper.event.player

# Class PlayerInitialSpawnEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.spigotmc.event.player.PlayerSpawnLocationEvent
com.destroystokyo.paper.event.player.PlayerInitialSpawnEvent

@Deprecated public class PlayerInitialSpawnEvent extends PlayerSpawnLocationEvent
Deprecated.
Use `PlayerSpawnLocationEvent`, Duplicate API

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerInitialSpawnEvent(@NotNull Player who, @NotNull Location spawnLocation)`
Deprecated.

## Method Summary

### Methods inherited from class org.spigotmc.event.player.PlayerSpawnLocationEvent

`getHandlerList, getHandlers, getSpawnLocation, setSpawnLocation`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerInitialSpawnEvent

public PlayerInitialSpawnEvent(@NotNull @NotNull Player who, @NotNull @NotNull Location spawnLocation)
Deprecated.